Bug 111442 - [CI][BAT] igt@dmabuf@dma_fence - dmesg-warn - ODEBUG: object .* is on stack .*, but NOT annotated.
Summary: [CI][BAT] igt@dmabuf@dma_fence - dmesg-warn - ODEBUG: object .* is on stack ....
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-20 12:27 UTC by Martin Peres
Modified: 2019-08-28 12:47 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-08-20 12:27:46 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cml-u2/igt@dmabuf@dma_fence.html

<4> [541.680968] ODEBUG: object 000000004cf2d051 is on stack 00000000b1e6b2b3, but NOT annotated.
<4> [541.680969] ------------[ cut here ]------------
<4> [541.680979] WARNING: CPU: 5 PID: 5045 at lib/debugobjects.c:524 __debug_object_init+0x20f/0x520
<4> [541.680981] Modules linked in: dmabuf_selftests(+) amdgpu gpu_sched ttm vgem snd_hda_codec_hdmi x86_pkg_temp_thermal coretemp crct10dif_pclmul snd_intel_nhlt cdc_ether snd_hda_codec usbnet crc32_pclmul mii snd_hwdep snd_hda_core ghash_clmulni_intel snd_pcm prime_numbers [last unloaded: dmabuf_selftests]
<4> [541.680991] CPU: 5 PID: 5045 Comm: dmabuf Tainted: G     U            5.3.0-rc5-CI-Patchwork_14094+ #1
<4> [541.680992] Hardware name: Intel Corporation WhiskeyLake Client Platform/CometLake U DDR4 HR ERB, BIOS CMLSFWR1.R00.1125.D00.1903221424 03/22/2019
<4> [541.680994] RIP: 0010:__debug_object_init+0x20f/0x520
<4> [541.680996] Code: 0f 84 d4 fe ff ff 83 c0 01 4c 89 f6 48 c7 c7 68 2a 0e 82 89 05 32 04 4c 02 e8 36 1f c4 ff 48 c7 c7 e0 eb 07 82 e8 2a 1f c4 ff <0f> 0b e9 a9 fe ff ff 89 05 84 8d e5 00 e9 cf fe ff ff 48 c7 c7 40
<4> [541.680998] RSP: 0018:ffffc90000b43b18 EFLAGS: 00010286
<4> [541.680999] RAX: 0000000000000024 RBX: ffff8883d3b16d40 RCX: 0000000000000001
<4> [541.681001] RDX: 0000000000000000 RSI: 0000000000000006 RDI: 00000000ffffffff
<4> [541.681002] RBP: 0000000000019800 R08: 0000000000000000 R09: 0000000000000000
<4> [541.681003] R10: 0000000000000000 R11: 0000000000000000 R12: ffffffff839c5628
<4> [541.681004] R13: ffffffff8224ba60 R14: ffffc90000b43bb0 R15: 0000000000000206
<4> [541.681006] FS:  00007fa0eaa92e40(0000) GS:ffff88844ba80000(0000) knlGS:0000000000000000
<4> [541.681007] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [541.681008] CR2: 00007ffeb012be70 CR3: 00000003c7288005 CR4: 00000000003606e0
<4> [541.681009] Call Trace:
<4> [541.681015]  ? mock_wakeup+0x10/0x10 [dmabuf_selftests]
<4> [541.681019]  init_timer_key+0x25/0x140
<4> [541.681023]  test_wait_timeout+0x35/0x130 [dmabuf_selftests]
<4> [541.681026]  ? printk+0x4d/0x69
<4> [541.681031]  __subtests+0x187/0x1c0 [dmabuf_selftests]
<4> [541.681034]  ? 0xffffffffa0029000
<4> [541.681037]  dma_fence+0x56/0x6f [dmabuf_selftests]
<4> [541.681040]  st_init+0x5a/0x1000 [dmabuf_selftests]
<4> [541.681042]  do_one_initcall+0x58/0x300
<4> [541.681045]  ? do_init_module+0x1d/0x1f6
<4> [541.681048]  ? rcu_read_lock_sched_held+0x6f/0x80
<4> [541.681050]  ? kmem_cache_alloc_trace+0x2d1/0x300
<4> [541.681054]  do_init_module+0x56/0x1f6
<4> [541.681057]  load_module+0x25bd/0x2a40
<4> [541.681067]  ? __se_sys_finit_module+0xd3/0xf0
<4> [541.681069]  __se_sys_finit_module+0xd3/0xf0
<4> [541.681076]  do_syscall_64+0x55/0x1c0
<4> [541.681080]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [541.681082] RIP: 0033:0x7fa0ea14a839
<4> [541.681083] Code: 00 f3 c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 40 00 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 1f f6 2c 00 f7 d8 64 89 01 48
<4> [541.681085] RSP: 002b:00007ffeb012dee8 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
<4> [541.681086] RAX: ffffffffffffffda RBX: 000055d60cbc1d70 RCX: 00007fa0ea14a839
<4> [541.681088] RDX: 0000000000000000 RSI: 000055d60cbc23e0 RDI: 0000000000000006
<4> [541.681089] RBP: 000055d60cbc23e0 R08: 0000000000000010 R09: 0000000000000000
<4> [541.681090] R10: 00007ffeb012e130 R11: 0000000000000246 R12: 0000000000000000
<4> [541.681091] R13: 000055d60cbbe000 R14: 0000000000000020 R15: 0000000000000015
<4> [541.681097] irq event stamp: 43306
<4> [541.681099] hardirqs last  enabled at (43305): [<ffffffff8112b607>] console_unlock+0x3f7/0x5a0
<4> [541.681101] hardirqs last disabled at (43306): [<ffffffff81001a8a>] trace_hardirqs_off_thunk+0x1a/0x20
<4> [541.681103] softirqs last  enabled at (43058): [<ffffffff818566ec>] peernet2id+0x4c/0x70
<4> [541.681105] softirqs last disabled at (43056): [<ffffffff818566cd>] peernet2id+0x2d/0x70
<4> [541.681107] WARNING: CPU: 5 PID: 5045 at lib/debugobjects.c:524 __debug_object_init+0x20f/0x520
<4> [541.681108] ---[ end trace 173fe9377aab9e2a ]---


https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cml-u2/igt@runner@aborted.html

Aborting.
Previous test: dmabuf (dma_fence)
Next test: nothing

Kernel badly tainted (0x240) (check dmesg for details):
	(0x200) TAINT_WARN: WARN_ON has happened.
Comment 1 CI Bug Log 2019-08-20 12:29:00 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* All machines: igt@dmabuf@dma_fence - dmesg-warn - ODEBUG: object .* is on stack .*, but NOT annotated.
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-bdw-5557u/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-bdw-gvtdvm/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-blb-e6850/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-bsw-kefka/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-bwr-2160/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-bxt-dsi/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cfl-8109u/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cfl-8700k/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cfl-guc/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cml-u2/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-elk-e7500/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-gdg-551/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-glk-dsi/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-hsw-4770/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-hsw-4770r/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-hsw-peppy/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-ilk-650/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-ivb-3770/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-kbl-7500u/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-kbl-guc/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-kbl-r/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-kbl-x1275/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-pnv-d510/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-skl-6260u/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-skl-6600u/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-skl-6700k2/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-skl-6770hq/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-skl-guc/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-skl-gvtdvm/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-skl-iommu/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-skl-lmem/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-snb-2520m/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-snb-2600/igt@dmabuf@dma_fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-whl-u/igt@dmabuf@dma_fence.html

* All machines: igt@runner@aborted - fail - Previous test: dmabuf (dma_fence)
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-bdw-5557u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-bdw-gvtdvm/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-blb-e6850/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-bxt-dsi/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cfl-8700k/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cfl-guc/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cml-u2/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-gdg-551/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-hsw-4770r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-hsw-peppy/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-ilk-650/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-kbl-7500u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-kbl-guc/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-kbl-r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-kbl-x1275/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-pnv-d510/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-whl-u/igt@runner@aborted.html
Comment 2 Chris Wilson 2019-08-20 12:38:06 UTC
https://patchwork.freedesktop.org/series/65477/
Comment 3 Chris Wilson 2019-08-20 12:51:43 UTC
commit 6ac3a0ebfcc2f0c75ca0ca6974389ce421aa5cbd (drm-misc/for-linux-next, drm-misc/drm-misc-next, drm-misc-next)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Aug 20 13:21:18 2019 +0100

    dmabuf: Mark up onstack timer for selftests
    
    The dma-fence selftest uses an on-stack timer that requires explicit
    annotation for debugobjects.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111442
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Daniel Vetter <daniel.vetter@ffwll.ch>
    Acked-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190820122118.13698-1-chris@chris-wilson.co.uk
Comment 4 Martin Peres 2019-08-28 12:47:10 UTC
(In reply to Chris Wilson from comment #3)
> commit 6ac3a0ebfcc2f0c75ca0ca6974389ce421aa5cbd (drm-misc/for-linux-next,
> drm-misc/drm-misc-next, drm-misc-next)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Tue Aug 20 13:21:18 2019 +0100
> 
>     dmabuf: Mark up onstack timer for selftests
>     
>     The dma-fence selftest uses an on-stack timer that requires explicit
>     annotation for debugobjects.
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111442
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Cc: Daniel Vetter <daniel.vetter@ffwll.ch>
>     Acked-by: Daniel Vetter <daniel.vetter@ffwll.ch>
>     Link:
> https://patchwork.freedesktop.org/patch/msgid/20190820122118.13698-1-
> chris@chris-wilson.co.uk

Thanks!
Comment 5 CI Bug Log 2019-08-28 12:47:23 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.